﻿using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls;

namespace PassingDataThroughRadWindow
{
	public partial class PropertiesWindowControl : UserControl
	{
		private DataItem dataItem;

		public PropertiesWindowControl()
		{
			InitializeComponent();
		}

		public DataItem DataItem
		{
			get
			{
				return this.dataItem;
			}
			set
			{
				if (this.dataItem != value)
				{
					this.dataItem = value;
					this.DataContext = this.dataItem.Clone();
				}
			}
		}

		private void ApplyChanges()
		{
			(this.DataContext as DataItem).CopyTo(this.DataItem);
		}

		private void Hide()
		{
			RadWindow parentWindow = RadWindow.GetParentRadWindow(this);
			parentWindow.Hide();
		}

		private void OK_Click(object sender, RoutedEventArgs e)
		{
			this.ApplyChanges();
			this.Hide();
		}

		private void Cancel_Click(object sender, RoutedEventArgs e)
		{
			this.Hide();
		}

		private void Apply_Click(object sender, RoutedEventArgs e)
		{
			this.ApplyChanges();
		}
	}
}